package	jp.co.sds_corp.nanchart.graph;


/**
BarStackGraphは、積み上げ棒グラフを実装します。
*/
public class BarStackGraph extends BarGraph
{
	/*
	* デフォルトの状態で積み上げ棒グラフを構築します。
	*/
	public BarStackGraph() {
		setStorage( new StackStorage());
		bStack = true;
	}

	/**
	* X軸とY軸の範囲を指定して、積み上げ棒グラフを構築します。
	* @param	xMin	X軸の最小値
	* @param	xMax	X軸の最大値
	* @param	yMin	Y軸の最小値
	* @param	yMax	Y軸の最大値
	*/
	public BarStackGraph( double xMin, double xMax, double yMin, double yMax ) {
		setStorage( new StackStorage( xMin, xMax, yMin, yMax ) );
		bStack = true;
	}

	/**
	* X軸とY軸の範囲を指定して、積み上げ棒グラフを構築します。
	* @param	xMin	X軸の最小値
	* @param	xMax	X軸の最大値
	* @param	yMin	Y軸の最小値
	* @param	yMax	Y軸の最大値
	*/
	public BarStackGraph( Object xMin, Object xMax, Object yMin, Object yMax ) {
		setStorage( new StackStorage( xMin, xMax, yMin, yMax ) );
		bStack = true;
	}

	/**
	* データ格納クラスを指定して、積み上げ棒グラフを構築します。
	* @param	map		データ格納クラス
	*/
	public BarStackGraph( GraphStorage map ) {
		super( map );
		bStack = true;
	}

}

