package	jp.co.sds_corp.nanchart.graph;


/**
LineStackGraphは、100%積み上げ折れ線グラフを実装します。
*/
public class LineStack100Graph extends LineStackGraph
{
	/**
	* デフォルトの状態で100%積み上げ折れ線グラフを構築します。
	*/
	public LineStack100Graph() {
		setStorage( new Stack100Storage());
	}

	/**
	* X軸とY軸の範囲を指定して、100%積み上げ折れ線グラフを構築します。
	* @param	xMin	X軸の最小値
	* @param	xMax	X軸の最大値
	* @param	yMin	Y軸の最小値
	* @param	yMax	Y軸の最大値
	*/
	public LineStack100Graph( double xMin, double xMax, double yMin, double yMax ) {
		setStorage( new Stack100Storage( xMin, xMax, yMin, yMax ) );
	}

	/**
	* X軸とY軸の範囲を指定して、100%積み上げ折れ線グラフを構築します。
	* @param	xMin	X軸の最小値
	* @param	xMax	X軸の最大値
	* @param	yMin	Y軸の最小値
	* @param	yMax	Y軸の最大値
	*/
	public LineStack100Graph( Object xMin, Object xMax, Object yMin, Object yMax ) {
		setStorage( new Stack100Storage( xMin, xMax, yMin, yMax ) );
	}

	/**
	* データ格納クラスを指定して、100%積み上げ折れ線グラフを構築します。
	* @param	map		データ格納クラス
	*/
	public LineStack100Graph( GraphStorage map ) {
		super( map );
	}

}

