package	jp.co.sds_corp.nanchart.graph;

import java.awt.Color;

/**
円グラフのデータを格納します。
*/
public class PieData
{
	/** 値 */
	double	data;
	/** 表示するメッセージ */
	String	msg;
	/** 色 */
	Color	col;
	/** 分割円フラグ */
	boolean	bExp;

	/**
	* 指定されたデータで円グラフデータを構築します。
	* @param	data	データ
	* @param	msg		表示メッセージ。表示しない場合はnull
	* @param	col		塗りつぶす色
	* @param	bExp	このデータを分割円として表示するかのフラグ。
	*/
	public PieData( double data, String msg, Color col, boolean bExp ) {
		this.data = data;
		this.msg = msg;
		this.col = col;
		this.bExp = bExp;
	}

	/**
	* 設定されているデータを取得します。
	* @return	データ
	*/
	public double getData() {
		return data;
	}

	/**
	* 設定されているメッセージを取得します。
	* @return	表示メッセージ。表示しない場合はnull
	*/
	public String getMsg() {
		return msg;
	}

	/**
	* 設定されている色を取得します。
	* @return	塗りつぶす色
	*/
	public Color getColor() {
		return col;
	}
	/**
	* 設定されている分割円フラグを取得します。
	* @return	このデータを分割円として表示するかのフラグ。
	*/
	public boolean getExploded() {
		return bExp;
	}

	/**
	* データを設定します。
	* @param	data	データ
	*/
	public void setData( double data ) {
		this.data = data;
	}

	/**
	* メッセージを設定します。
	* @param	msg		表示メッセージ。表示しない場合はnull
	*/
	public void setMsg( String msg ) {
		this.msg = msg;
	}

	/**
	* 色を設定します。
	* @param	col		塗りつぶす色
	*/
	public void setColor( Color col ) {
		this.col = col;
	}

	/**
	* 分割円フラグを設定します。
	* @param	bExp	このデータを分割円として表示するかのフラグ。
	*/
	public void setExploded( boolean bExp ) {
		this.bExp = bExp;
	}

}

